Subject: Re: [netatalk-admins] We're doing benchmarks (tips, tricks, help, info)

From: "Eddie Irvine" <[email-masked]>
Date: Sat, 28 Mar 1998 19:52:50 +1000

AppleShare IP is a good product. We run it at our high school and
it only crashes once a week or so.

We also run Netatalk on FreeBSD. It has never crashed. Never. Ever.

I hear NT support for macs is as slow as molasses. And expensive.
forget NT.

How much is the cost differential, btw?
AppleShare came with our mac fileserver. Will it come
free with yours?

Anyhow, here are some reasons for Netatalk:
 
An apple talk network slows down fairly drastically with more
than 16 nodes or so. If you have more, you'll need to break
it up. With AppleShare, you will have to buy a router as well.
With Linux, you won't. If you're getting a G3 it sounds like
you've got a pretty big network to look after :)

AppleShare IP comes with ip aliasing so you can use it as
an internet gateway. It also has a fairly good webserver
and email engine, although I don't know how you will
go with cgi's.

Linux/FreeBSD also come with ip aliasing, and better still,
a proxy server. The web server is simply the best in the business.

Appleshare is a bit of a pest to set up if you have thousands
of users. With Linux, it is easy.

A PC could speak appleshare 4 with client software called "COPS". Now
that we have AppleShare IP 5, COPS doesn't seem to want to work
any more.

Linux can run samba - a Windows NT file services server. Windows
95 clients use the same logon and password when they start up
as they would if they were connecting via a chooser on a mac.
Of course, they then connect to exactly the same home
directory on Linux.

As I said, AppleShare is a good product, and I expect a G3 will
blow your linux machine out of the water if filesharing speed is
the only issue. 
 
If price has anything to do with it, or extra features, then
Linux is the better option.

 Who is paying?

If they really want AppleShare 5, let them have it. And instead
of buying a router, get a moderately configured Linux PC
to do the routing and you then you can play to your heart's content.

>We've had a meeting the other day, examing alternate solutions, and 
>decided on doing a 'shoot-out' between the various solutions. Currently 
>selected are: Windows NT with Macintosh services, Windows NT using the 
>DAVE 2.0 client, AppleShare IP 5.0x - and I want to throw a Netatalk 
>system into this as well to show that Linux/Netatalk *IS* a viable 
>alternative. One of the department's directors generally just smiles, and 
>discards anytime I bring up UNIX/Linux based solutions... but mostly I 
>want to be able to really put netatalk to the test, and possibly even get 
>us all some real-world benchmarks as a result.

---

From: Harry Zink <[email-masked]>
Date: Sun, 29 Mar 1998 00:51:06 -0800

>to do the routing and you then you can play to your heart's content.

It's not a question of what they want, but thanks to open-mindedness of 
our department manager, he is interested in what solution provides the 
best performance - that's why we're having our shootout - and I'm 
sneaking in the Linux box to prove a point, and to satisfy my own 
curiosity.

Harry